<template>
    <div>
        <button
            class="mdc-button mdc-card__action mdc-card__action--icon phrase-hit__toolbar-button"
            :aria-describedby="tooltipId(action)"
            @click.prevent="$emit('click', $event)"
        ><i :class="`fas ${icon}`"></i></button>
        <material-tooltip :id="tooltipId(action)">{{ tooltip }}</material-tooltip>
    </div>
</template>
<script>
export default {
    props: {
        action: {
            type: String,
            required: true,
        },
        tooltip: {
            type: String,
            required: true,
        },
        icon: {
            type: String,
            required: true,
        },
        identifier: {
            type: [String, Number],
            required: true,
        },
    },

    methods: {
        tooltipId(style) {
            return `tooltip-${style}-${this.identifier}`;
        },
    },
};

</script>
<style>
.phrase-hit__toolbar-button:hover {
    opacity: .87;
    background-color: rgba(95, 99, 104, .157);
    border-radius: 50%;
}

.phrase-hit__toolbar .mdc-button {
    min-width: 10px;
}
</style>
